Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class AttributeExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.AttributeExp

All Implemented Interfaces:
  NameClassAndExpression, java.io.Serializable

public class AttributeExp
extends Expression
implements NameClassAndExpression

Attribute declaration.

Attribute declaration consists of a NameClass that verifies attribute name and an Expression that verifies the value of the attribute.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`Expression` | `exp` child expression
`NameClass` | `nameClass` constraint over attribute name

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`AttributeExp(NameClass nameClass, Expression exp)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Expression` | `getContentModel()`
`NameClass` | `getNameClass()`
`java.lang.Object` | `visit(ExpressionVisitor visitor)`
`boolean` | `visit(ExpressionVisitorBoolean visitor)`
`Expression` | `visit(ExpressionVisitorExpression visitor)`
`void` | `visit(ExpressionVisitorVoid visitor)`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameClass

    public final NameClass nameClass

  constraint over attribute name

### exp

    public final Expression exp

  child expression

Constructor Detail

### AttributeExp

    public AttributeExp(NameClass nameClass,
                        Expression exp)

Method Detail

### getNameClass

    public final NameClass getNameClass()

  Specified by:
    `getNameClass` in interface `NameClassAndExpression`

### getContentModel

    public final Expression getContentModel()

  Specified by:
    `getContentModel` in interface `NameClassAndExpression`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `Expression`

### visit

    public java.lang.Object visit(ExpressionVisitor visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public Expression visit(ExpressionVisitorExpression visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public boolean visit(ExpressionVisitorBoolean visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public void visit(ExpressionVisitorVoid visitor)

  Specified by:
    `visit` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD